Bug 8518 - Self checkout does not display debt amount if syspref AllowFineOverride is set to allow
Summary: Self checkout does not display debt amount if syspref AllowFineOverride is se...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-29 06:57 UTC by Marc Véron
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot missing debt amount in sco (28.81 KB, image/jpeg)
2012-07-29 06:58 UTC, Marc Véron
Details
Bug 8518 - Self checkout does not display debt amount if syspref AllowFineOverride is set to allow (1.74 KB, patch)
2012-07-29 07:35 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8518 - Self checkout does not display debt amount if syspref AllowFineOverride is set to allow (1.79 KB, patch)
2012-07-30 13:09 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 8518 - Self checkout does not display debt amount if syspref AllowFineOverride is set to allow (1.79 KB, patch)
2012-07-30 13:14 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2012-07-29 06:57:19 UTC
Self checkout: If the patron has depts that prevent issuing and the system preference AllowFineOverride is set to allow, the amount is not displayed in the user message. 

Reason: Template parameter amount not set.

Screenshot and patch follow
Comment 1 Marc Véron 2012-07-29 06:58:55 UTC
Created attachment 11182 [details]
Screenshot missing debt amount in sco
Comment 2 Marc Véron 2012-07-29 07:03:51 UTC
Message in German:
Sie haben offene Gebühren in Höhe von und können daher nichts mehr entleihen.

Message in French:
Vous avez une dette de et ne pouvez pas emprunter.
Comment 3 Marc Véron 2012-07-29 07:35:41 UTC Comment hidden (obsolete)
Comment 4 Mirko Tietgen 2012-07-30 13:09:09 UTC Comment hidden (obsolete)
Comment 5 Mirko Tietgen 2012-07-30 13:14:14 UTC
Created attachment 11193 [details] [review]
Bug 8518 - Self checkout does not display debt amount if syspref AllowFineOverride is set to allow

If the patron has depts that prevent issuing and the system preference 'AllowFineOverride' is set to 'allow', the amount is not displayed in the user message.

Additionally, patch adds currency symbol to amount.

Test plan:
Do self checkout with patron who has debts that are over the limit.
Test with and without preference 'AllowFineOverride' set.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 6 Jonathan Druart 2012-07-30 14:12:38 UTC
QA Comments:

Display a missing information.

Marking as Passed QA.
Comment 7 Paul Poulain 2012-08-01 15:41:49 UTC
QA comment: would be better to introduce a library to display efficiently.
Could (should ?) be a T::T plugin

(In France, the currency is displayed after the number : 1234.56€ for example.)

Won't reject this patch for this reason, but if you want to do it, you're highly welcomed ;-)
Comment 8 Chris Cormack 2012-08-01 23:56:15 UTC
Pushed to 3.8.x, will be in 3.8.4